CentOS 5.8 or 6.2?

Discussion in 'General Server' started by Rob, May 1, 2012.

  1. Rob

    Rob Administrator Staff Member

    Messages:
    573
    Likes Received:
    193
    Trophy Points:
    43
    If you were setting up a new server for hosting (LAMP) - would you use the latest CentOS 5 or 6? There are a number of people keeping with 5.. are you one of them? Why?

  2. berks

    berks New Member

    Messages:
    33
    Likes Received:
    2
    Trophy Points:
    0
    I recently setup a server with CentOS 5.8, my main choice at that point was due to the fact that 5.8 has LTS, while 6.2 does not. After using it for about a week however I upgraded to CentOS 6.2 mainly due to the fact that 5.8 came with php version 5.1 with fixes from later updates integrated into it.

    For me this was an issue due to the fact that I was running a WordPress powered website and the latest version of WordPress requires php 5.2 or later.
  3. DaReaper

    DaReaper New Member

    Messages:
    184
    Likes Received:
    3
    Trophy Points:
    0
    I wouldn't upgrade to CentOS 6 yet because i fear that some of the applications might not be compatible with it yet. It's not the OS's problem, but it's the software companies that have to make their software compatible with it.

    Also i think it would be best to have a fresh installation of CentOS6 instead of upgrading it. I also need to know what modules and stuff that worked in Cent OS 5.8, would work in CentOS6. This might include MySQL, PHP, ioncube or any other.
  4. grim76

    grim76 Active Member Staff Writer

    Messages:
    177
    Likes Received:
    48
    Trophy Points:
    28
    I think 6.x has been out long enough to be considered. Especially on a hosting front where people want the latest and greatest of X CMS, Wordpress, or new widget.
    berks likes this.
  5. berks

    berks New Member

    Messages:
    33
    Likes Received:
    2
    Trophy Points:
    0
    IMO it worked relatively okay, given it wasn't a professional setup but I had the complete LAMP server running with Virtualmin (I did a fresh Install). I am not sure just how hard it would be to upgrade from 5.x to 6.x but I don't foresee any great problems in doing so.
  6. DaReaper

    DaReaper New Member

    Messages:
    184
    Likes Received:
    3
    Trophy Points:
    0
    Well, the reason i was worried about upgrading was this : http://wiki.centos.org/HowTos/MigrationGuide

    "A fresh install is generally strongly preferred over an upgrade."

    And also, recently i tried to update Ubuntu directly from 11 to 12.04, i saw that the process and RAM usage was incredibly high and the Ubuntu classic mode failed to work.

    Do you know the reason why it's recommended as so?
  7. berks

    berks New Member

    Messages:
    33
    Likes Received:
    2
    Trophy Points:
    0
    I had read a bit about the possible problems, a in-place upgrade from 5.x to 6.x is really not supported. What I had in mind was to create a backup of any existing systems, do a fresh install of 6.x and then transfer back the data checking for any errors.
  8. grim76

    grim76 Active Member Staff Writer

    Messages:
    177
    Likes Received:
    48
    Trophy Points:
    28
    RHEL and clones typically going from 5.0 to 5.8 is automatic and encouraged. Upgrading full versions is not. They do recommend an actual full fresh install rather than trying to upgrade from 5.x to 6.x.

    I am sure you can do the upgrade manually, but I don't think the effort involved would be worth it. Even when I was running Ubuntu <shudder> I still did full installs rather than upgrades.
  9. berks

    berks New Member

    Messages:
    33
    Likes Received:
    2
    Trophy Points:
    0
    I understand the risk (or at least I think I do) involved in upgrading major versions but I think we have gotten a bit sidetracked. The OP asked what version of the OS we would use in setting up a new server, presumably that server would not have a OS or any important data loaded on it.

    It has been proven that 6.x is stable in a server environment, it has also been proven that the PHP limitations of 5.x can cause issues. To avoid these issues altogether, as well as avoiding possibly loosing data in the future attempting an upgrade loading 6.x from start would be the better option . I am yet to see valid reason to use 5.x other than the fact that it boasts LTS.
  10. makentosh

    makentosh New Member

    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    0
    I would suggest CentOS 5 since it is the stable version I should say, in which software packages are mostly supported with it. CentOS 6 has been out for a while, so to say most administrators would prefer CentOS 5 since it is proven and has been tested for a while.
  11. dale

    dale Member

    Messages:
    115
    Likes Received:
    7
    Trophy Points:
    18
    I went with 6. CentOS is conservative with upgrades as is, and like what others said, it's been out for a while now.
  12. Famous

    Famous New Member

    Messages:
    57
    Likes Received:
    0
    Trophy Points:
    0
    I gotta go with CentOS 5.8 Ive been using that for years and never switched os's. But that's just my opinion.
  13. Alex Moen

    Alex Moen New Member

    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    0
    Sorry to disagree with some of you, but I have been using the 6-series for well over a year, and it is stable and reliable. Centos is primarily a server distro, and they focus on stability over all else. They may not have the newest versions of software, but the versions they have are very well tested.

    For a new server, I would not hesitate to use 6.2. In fact, I would encourage it over 5.
  14. 3girl

    3girl New Member

    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    0
    Hello Today I'm using version corporation centOS 5.6. Forum phpbb plans to enter the new version requires a better version of php 5.1.6, php 5.2. For the past problems at home ufraw-batch or put to the 5.6 centOS version. In version 6.2, is handling raw format. Yes, and a total of six centOS version without any problems, many programs are better placed than version 5. But five is a very old version, it may be useful. Goodbye.
  15. soul-on-ice

    soul-on-ice New Member

    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    1
    this post is old by this point. ancient really. yet alot of the rpm packages that were available for centos 5 are not available for centos 6. which has me thinking of going back to 5.



    ... yet i run a lamp server and want to keep the server up to date.
  16. dale

    dale Member

    Messages:
    115
    Likes Received:
    7
    Trophy Points:
    18
    If you need CentOS 5, you need CentOS 5. You can still be patched and secure (if this is your main concern) on CentOS 5. The EOL is not until another 3.5 years. (But you probably should research on alternative solutions though for the same resason.)

Share This Page